Subject: Re: [PATCH net-next v10 7/7] selftests: netconsole: validate target resume

From: Andre Carvalho <[email-masked]>
Date: Mon, 12 Jan 2026 20:49:02 +0000

On Mon, Jan 12, 2026 at 07:16:54AM -0800, Breno Leitao wrote:
> > On Mon, Jan 12, 2026 at 06:16:42AM -0800, Jakub Kicinski wrote:
> > The new test seems to be failing in netdev CI:
> > 
> > TAP version 13
> > 1..1
> > # timeout set to 180
> > # selftests: drivers/net: netcons_resume.sh
> > # Running with bind mode: ifname
> > not ok 1 selftests: drivers/net: netcons_resume.sh # exit=1
> 
> I was discussing this with Andre on private.

I have not been able to reproduce the failure locally yet. I've checkout out the
CI branch from linux-netdev/testing and followed the instructions in [1] to try
running it as close as possible to the CI setup and no luck yet.

I'll continue digging but appreciate any suggestions.

> Also, do you know why we got:
> 
> 	/srv/vmksft/testing/wt-18/tools/testing/selftests/kselftest/runner.sh: line 50: : No such file or directory
> 
> after the test failed?

I think this might be caused by a change[2] in run_kselftest.sh/runner.sh which
seems to cause runner.sh to fail when a test failed and runner.sh was not called
from run_kselftest.sh.

[1] https://github.com/linux-netdev/nipa/wiki/How-to-run-netdev-selftests-CI-style
[2] https://lore.kernel.org/all/[email-masked]/
-- 
Andre Carvalho